getTraining
READGet training.
POST /api/v1/resources/getTraining
curl -X POST '<your-host>/api/v1/resources/getTraining' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"id": "string"
}'Response
{
"assignee": "string",
"companyId": "string",
"content": "…",
"createdAt": "string",
"createdBy": "string",
"description": "string",
"estimatedDuration": "string",
"frequency": "Quarterly",
"grantsAbilityId": "string",
"id": "string",
"name": "string",
"processId": "string",
"status": "Draft",
"tags": [
"string"
],
"type": "Mandatory",
"updatedAt": "string",
"updatedBy": "string",
"version": 0,
"trainingQuestion": [
{
"companyId": "string",
"correctAnswers": [
"string"
],
"correctBoolean": true,
"correctNumber": 0,
"createdAt": "string",
"createdBy": "string",
"id": "string",
"matchingPairs": "…",
"options": [
"string"
],
"question": "string",
"required": true,
"sortOrder": 0,
"tolerance": 0,
"trainingId": "string",
"type": "MultipleChoice",
"updatedAt": "string",
"updatedBy": "string"
}
]
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"id": {
"type": "string"
}
},
"required": [
"id"
]
}